
#ifndef UTILS_H_INCLUDED
#define UTILS_H_INCLUDED

static const double epsilon = 0.0001;

static inline bool threshEqual( double val1, double val2 )
{
    double d = val1 - val2;
    if( d < 0.0 ) d = -d;
    return ( d < epsilon );
}

/* Quick utility function for texture creation */
static inline int power_of_two( int input )
{
    int value = 1;
    while( value < input ) value <<= 1;
    return value;
}

#endif // UTILS_H_INCLUDED
