
#ifndef VERTEXLIST_H_INCLUDED
#define VERTEXLIST_H_INCLUDED

#include <stl.h>
#include <vector>
#include <point3.h>

class Vertex
{
public:
    Vertex( void ) : hasnormal( false ) {}
    explicit Vertex( const Point3 &pt ) : pos( pt ), hasnormal( false ) {}
    Point3 pos;
    Vector3 normal;
    bool hasnormal;
};

typedef vector<Vertex> VertexList;

#endif // VERTEXLIST_H_INCLUDED
